Loading...
Searching...
No Matches
reserveddeque.hh File Reference

An stl-compliant double-ended queue which stores everything on the stack. More...

`#include <algorithm>`
`#include <iostream>`
`#include <cstddef>`
`#include <initializer_list>`
`#include <dune/common/genericiterator.hh>`

Go to the source code of this file.

## Classes

class | Dune::Functions::ReservedDeque< T, n >
| A double-ended queue (deque) class with statically reserved memory. More...

## Namespaces

namespace | Dune
namespace | Dune::Functions

## Macros

#define | CHECKSIZE(X)

## Detailed Description

An stl-compliant double-ended queue which stores everything on the stack.

## Macro Definition Documentation

## CHECKSIZE

#define CHECKSIZE | ( |  | X | ) |

Value:
{}